API referenceServer
Set up a feature, creating or adopting what it needs.
POST
/api/v1/servers/{guild}/setup/{feature}Authorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$feature*string
Value in
- "staff"
- "verify"
- "logs"
- "moderation"
- "tickets"
- "forums"
- "packs"
Query Parameters
preview?boolean
Answer with what would happen, changing nothing.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/servers/string/setup/staff" \ -H "Content-Type: application/json" \ -d '{ "places": { "property1": {}, "property2": {} } }'{ "applied": true, "lines": [ "string" ], "conflicts": [ "string" ]}